---
title: preferred_backend()
keywords: spherical harmonics software package, spherical harmonic transform, legendre functions, multitaper spectral analysis, Python, gravity, magnetic field
sidebar: mydoc_sidebar
permalink: preferred_backend.html
summary:
tags: [python]
toc: false
editdoc: pydoc
---

Return the name of the current preferred backend used for the spherical
harmonic transforms in pyshtools as a string.

## Usage

preferred_backend()
